Bug 128745 - (IT_73457) Man pages displaying corrupted characters
Man pages displaying corrupted characters
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: XFree86 (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks: 170417
  Show dependency treegraph
 
Reported: 2004-07-28 17:51 EDT by Ed Ciechanowski
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-18 17:14:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
XFree86.0.log (58.82 KB, text/plain)
2006-03-16 04:16 EST, Ritesh Raj Sarraf
no flags Details
XF86Config (3.08 KB, text/plain)
2006-03-16 04:17 EST, Ritesh Raj Sarraf
no flags Details
/var/log/messages (360.47 KB, text/plain)
2006-03-16 04:18 EST, Ritesh Raj Sarraf
no flags Details

  None (edit)
Description Ed Ciechanowski 2004-07-28 17:51:56 EDT
Description of problem:
Man pages displaying corrupted characters

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Run VESA generic X Server
2.Switch to control console CTL-ALT-F2
3.Login
4.Type man xinit
5. " will look like u with two dots above it.
6. 
  
Actual results:
Shows u with two dots above it.

Expected results:
Should show "

Additional info:
Changing Terminal type produces different corrupted characters.
Comment 3 Bill Nottingham 2005-04-08 14:07:39 EDT
What terminal type are you using?

What locale do you have set?

Are you using a serial console as well?
Comment 4 Ed Ciechanowski 2005-04-18 13:37:07 EDT
What terminal type are you using?		TERM=Linux

What locale do you have set?			Not set

Are you using a serial console as well?	No 
Comment 5 Jindrich Novy 2005-05-26 08:50:35 EDT
Hmmm, my TERM=linux, LANG=en_US, I'm on RHEL3 testing box with groff-1.18.1-27
and I see " character correctly typesetted as ‘‘exec’’ text in man xinit and see
no u with two dots in the whole man page. Could you point me where the "
character which is displayed as u with dots is?
Comment 6 Ritesh Raj Sarraf 2005-05-26 09:10:10 EDT
This defect is reproducible on Dell platforms on both releases of RHEL3 and 
RHEL4 when the X server uses the VESA generic driver.
Comment 7 Ritesh Raj Sarraf 2005-05-26 09:12:48 EDT
(In reply to comment #5)
> Hmmm, my TERM=linux, LANG=en_US, I'm on RHEL3 testing box with groff-1.18.1-
27
> and I see " character correctly typesetted as ‘‘exec’’ text in man xinit and 
see
> no u with two dots in the whole man page. Could you point me where the "
> character which is displayed as u with dots is?

Use the UTF encoding.
export LANG=en_US.UTF-8
and follow the steps mentioned to reproduce the bug.
Comment 12 Miroslav Lichvar 2006-01-27 06:55:20 EST
I managed to reproduce the bug, looks like the VESA driver is corrupting console
font, for example command "echo -e '\342\200\230'" should show left single
quotation mark, but it doesn't. Running setsysfont will fix it only partialy,
the character remains bold. I'm reassigning the bug to Xfree86 component.
Comment 14 Mike A. Harris 2006-03-07 17:11:40 EST
Please attach your X server config file and log file to the report as
individual uncompressed file attachments from the configuration that
is exhibiting this problem.

Also attach your kernel log from /var/log/messages.

Comment 16 Ritesh Raj Sarraf 2006-03-16 04:16:40 EST
Created attachment 126201 [details]
XFree86.0.log
Comment 17 Ritesh Raj Sarraf 2006-03-16 04:17:35 EST
Created attachment 126202 [details]
XF86Config
Comment 18 Ritesh Raj Sarraf 2006-03-16 04:18:39 EST
Created attachment 126204 [details]
/var/log/messages
Comment 19 Ritesh Raj Sarraf 2006-03-16 04:23:20 EST
I've attached all the required files. With this attached XF86Config file, I'm 
able to reproduce the defect.
Comment 20 Ritesh Raj Sarraf 2006-03-16 04:43:27 EST
Once the bug is reproduced, leave the machine unattended for some time. The 
screen goes blank because there's no activity (This is normal behavior).
But the corrupted characters still show up on the screen.
Comment 22 Mike A. Harris 2006-03-28 10:07:25 EST
(In reply to comment #0)
> 1.Run VESA generic X Server

The supported driver for this hardware is the "radeon" driver.  Why are you
using the "vesa" driver instead of the "radeon" driver?  Does this problem
still occur if you use the "radeon" driver?

You are using 3rd party kernel modules in your kernel, which have been
force-loaded into the kernel.  Red Hat does not support systems running
3rd party kernel modules.

Please disable all 3rd party kernel modules, and ensure you are fully
updated to the latest RHEL3 updates, and booted into the latest kernel
release update, then attempt to reproduce the problem without any
proprietary kernel modules loaded.

Please also attach the output of lsmod from after the X server is started
so we can see if there may be other interactions occuring.
Comment 25 Mike A. Harris 2006-04-26 17:54:32 EDT
Please update the report with the info requested in comment #22, and once
we've reviewed your info, we will proceed in diagnosing the problem.

Thanks in advance.


Leaving bug in "NEEDINFO_REPORTER" state, and awaiting requested information.
Comment 26 Ritesh Raj Sarraf 2006-04-28 08:55:20 EDT
I'm trying to get more information on this issue.
Will get back to you asap.
Comment 28 Mike A. Harris 2006-05-18 17:14:13 EDT
Closing bug due to insufficient data and lack of response.

Note You need to log in before you can comment on or make changes to this bug.